org.jfree.chart.editor

## Class DefaultChartEditorFactory

- java.lang.Object
- - org.jfree.chart.editor.DefaultChartEditorFactory

All Implemented Interfaces:
  ChartEditorFactory

    public class DefaultChartEditorFactory
    extends java.lang.Object
    implements ChartEditorFactory

A default implementation of the `ChartEditorFactory` interface.

### Constructor Summary

Constructors
Constructor and Description
`DefaultChartEditorFactory()` Creates a new instance.

### Method Summary

Methods
`ChartEditor` `createEditor(JFreeChart chart)` Returns a new instance of a `ChartEditor`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultChartEditorFactory

    public DefaultChartEditorFactory()

Creates a new instance.

### Method Detail

#### createEditor

    public ChartEditor createEditor(JFreeChart chart)

Returns a new instance of a `ChartEditor`.

Specified by:
  `createEditor` in interface `ChartEditorFactory`
Parameters:
  `chart` - the chart.
Returns:
  A chart editor for the given chart.